# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: eric.seigne@ryxeo.com-20101114225408-ex1y17xm6pihkakj
# target_branch: sftp://redmine.ryxeo.com/home/groupes/developpeurs\
#   /leterrier/leterrier-developpeu/abuleduboutonv0/
# testament_sha1: f5b06beb99f6ec860d3dbcc26453d0fecb59790f
# timestamp: 2010-11-14 23:54:15 +0100
# base_revision_id: eric.seigne@ryxeo.com-20101114175032-\
#   vp8dt0006jeqk0ks
# 
# Begin patch
=== modified file 'abuleduboutonv0.cpp'
--- abuleduboutonv0.cpp	2010-11-14 17:50:32 +0000
+++ abuleduboutonv0.cpp	2010-11-14 22:54:08 +0000
@@ -31,7 +31,7 @@
 
 
 AbulEduBoutonV0::AbulEduBoutonV0(QString name, QWidget* parent)
-       :  QGraphicsObject()
+       :  QGraphicsTextItem()
 {
     //Initialisation
     m_image          = new QPixmap("");
@@ -46,7 +46,7 @@
     m_mimecode       = QString("basic");
 
     this->setObjectName(name);
-    this->setPos(0,0);
+    this->setPos(10,10);
     //Rq: Cas particulier, ca ne sert jamais vu qu'on initialise le m_localDebug a false juste avant !
     if(m_localDebug)
     {
@@ -54,7 +54,7 @@
             qDebug() << "abuleduboutonv0.cpp: Parent du bouton : " << parent->objectName();
 
     }
-    setFlag(QGraphicsItem::ItemSendsGeometryChanges);
+    //setFlag(QGraphicsItem::ItemSendsGeometryChanges);
 }
 
 AbulEduBoutonV0::~AbulEduBoutonV0()
@@ -161,7 +161,7 @@
 
 void AbulEduBoutonV0::paint(QPainter *painter, const QStyleOptionGraphicsItem *option,QWidget *widget)
 {
-    QRect rect(this->x(), this->y(),45,45);// this->width(), this->height());
+    QRect rect(this->x(), this->y(), m_size->width(),m_size->height());// this->width(), this->height());
     //quand on est en mode debug on affiche le cadre autour de la zone sensible pour "voir" ou on est ...
     if(m_localDebug)
     {
@@ -176,7 +176,7 @@
         painter->setPen(Qt::NoPen);
         painter->drawRect(rect.adjusted(0, 0, -1, -1));
     }
-
+    QGraphicsTextItem::paint(painter, option, widget);
     painter->drawPixmap(rect, *m_image);
 }
 
@@ -199,6 +199,7 @@
      if(m_localDebug)
      {
          qDebug() << "abuleduboutunv0.cpp clic detecte sur le bouton souris n°" << e->button() << " Mode drag & drop: " << m_isDragAble;
+         qDebug() << "abuleduboutunv0.cpp text: " << toHtml();
      }
      switch(e->button())
      {

=== modified file 'abuleduboutonv0.h'
--- abuleduboutonv0.h	2010-11-14 17:50:32 +0000
+++ abuleduboutonv0.h	2010-11-14 22:54:08 +0000
@@ -26,12 +26,11 @@
 
 #ifndef ABULEDUBOUTONV0_H
 #define ABULEDUBOUTONV0_H
-#include <QGraphicsObject>
+#include <QGraphicsTextItem>
 #include <QPropertyAnimation>
-//#include <QWidget>
 
 /** Notez le double heritage sur QPushButton et QGraphicsItem ... */
-class AbulEduBoutonV0 : public QGraphicsObject
+class AbulEduBoutonV0 : public QGraphicsTextItem
 {
     Q_OBJECT
     //Q_PROPERTY(QRect geometry READ geometry WRITE setGeometry)

# Begin bundle
IyBCYXphYXIgcmV2aXNpb24gYnVuZGxlIHY0CiMKQlpoOTFBWSZTWRmhsYsAAnFfgEoQWGf//3/g
fQC////wUAT4rwLg7TdWjc1EEpqSnqep4phMym1NqYgx6mk09JoAND1BoEpBDBGJPRCjE9QAD1MQ
0NNAeoBIoCQZJ5UeRpiJ6j1ABoyB6nqZPSGg5gEwEyMAIxMTCYTBDTE0wEkk0NJ6TKn6ZJ6BNGmI
0YkGmmhoaaNPUkLxZtWlPfbCJw+5nqcrShSEMVkbkm0NoZprN81eesK0caXCCAtZsn4zrNYwbG0c
N4GPyQrxdb6GZxK1gUjBuDJDGyNIQvhhl+xxuwfHNyUO3w38Jbsoo3GCRzQ2OD7iqWFT6b3JTZLA
Uc5f5dQQII0NkzWTmm3wf76aY6nv9DS8sYX1kdDNsodBsGWHKXF6FuDJRjMUGECNEMWVE024Scls
Eunt7sZnMMayeVLsYR6dKpJPZK4tQ9H8OD7gRAEMwtiIuJ0Sg7WBA2DgkUqaM29Gcp+M9aRQMzJ1
L13duuVIN9QoTYes4cYJBOhSPylEtVo/UeN9RKEiihbY2i6r4KIUocaQPDtfEwjFduUN4GaMml2N
9iJHJAxFBj7ycBhwn0zuLK3oiMZBxcXECGVq0jK5FOSpkwdsxXGLNMjiutbIW2AUSg0cjA087xqp
IkESGZKKGisBFb0LoAOuvgcoN4GBRqRriyu0H0Jiy+roFDPXY8MqkIhLaSQseADSY0LFVBfVriCG
NoTwmoXePowFjk0WXASVIDRIZ0/pzRaSIPFwxsXdCE72PFZDshLRK4j6xOfInZTjKbjEh7/HrhnQ
3G3ephpkUEtNT6LR7mApyrkihg9XETrLYbGuzkqvpOqHNjmqFzM0QzSIkEJL12P3Q4qLvb3o64kW
SfutPlodkb7Az5R4iCIs7IkxlujnHuoNBl/slNKEpl1VXKAktG/Fb4q2IysCucmhvpiaJmjnbVqN
Ai3NeHiKpYDSPHl0zZEBLT7SAO0MNQAMxPUcDNmzOVMzvRiqTOIiUUDUJnWCr+j2nlL5kAkyzh3j
7dfNQiQsMFuTFbP0KLsCGJuNoHCqfUO15w9A0qbphr2MTCxXQ1InkJiJvzosXQxQWeH7bOXn2OA1
UvOjGxrfE9pRL61TtHzcYhTxWxMHkJeuBE2K91rKx2GtkO7n4X4hxwDrjHWBLuBDb2vAcefpM44x
m1xt2qxWnA3mti84UJPfoggONwxiMgvW0p2GhEEUAaDsCwQ8yc+5gDFuR0ckebmIY1QgKgMwnl/r
4orzH2573wMyLEb0bJA5oga0afJDaSUeBuQoBxQjqEkMFh4tOUuAjQMY98s1YQwgfBCwOoCKi+67
asppzVeGmM5qcQKkoixeZJTIy2wmm02F80orOHTMSyW3iUXQUm/g0phbBFVqcuUV98qCULelFF3U
zhgeoXIyAQsC6eaH9zBnRTHAKIu7EWYFEseySs3sS241ZBZpSCX9EtUZZ0brUTzS9aOIlX4cXLVW
UoYMAU7QupUBWyX+7ccHT2kmBHZCVwM8cFzHIUlVItFA70bU0aeuww5+U9qB6Kl5DYqHBfNX4DRZ
BZ1CO27CSWCIgZAZXI1I7TDYdRQNYRqB3iXcBBI0SZ9AGktXMif/F3JFOFCQGaGxiw==
